FileHost.net provides a simple HTTP API to integrate ours into your business or application. All requests to the API should be only GET or POST You can find your API key here - https://filehost.net/settings
API अनुरोध प्रति सेकंड 10 तक सीमित हैं - ज़्यादा अनुरोधों के लिए हमसे संपर्क करें
{"msg":"Too Many Requests","status":"429"}
अपने अकाउंट की बुनियादी जानकारी पाएं
GET
https://filehost.net/api/account/info?key={your_api_key}
key
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": {
"email": "[email protected]",
"balance": "0.00000",
"storage_used" :"24186265",
"storage_left": 128824832615,
"premim_expire": "2026-03-12 21:00:00
}
}
अपने अकाउंट की रिपोर्ट पाएं (डिफ़ॉल्ट पिछले 7 दिन)
GET
https://filehost.net/api/account/stats?key={your_api_key}
key
last
from_date
to_date
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"profit_views": "0.00000",
"downloads": "0",
"views": "0",
"day": "2026-03-12",
"profit_total": "0.00000"
},
{
"profit_views": "0.00000",
"downloads": "0",
"views": "0",
"day": "2026-03-12",
"profit_total": "0.00000"
}
]
}
DMCA रिपोर्ट की गई फ़ाइलों की सूची (प्रति पेज 500 नतीजे)
GET
https://filehost.net/api/dmca/list?key={your_api_key}
key
per_page
page
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"reported_on": "2026-03-12 04:30:07",
"protected_download": "yyy",
"protected_embed": "zzz",
"file_code": "xxx",
"fld_id": "0",
"disabled_on": "2026-03-12 05:00:07"
}
]
}
API से लोकल फ़ाइलें अपलोड करें
GET
https://filehost.net/api/upload/server?key={your_api_key}
key
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": "https://filehost.net/api/upload/server/01?key={your_api_key}"
}
curl -X POST -F 'api_key={your_api_key}' -F '[email protected]' "https://filehost.net/api/upload/server/01?key={your_api_key}"
<form enctype="multipart/form-data" action="https://filehost.net/api/upload/server/01?key={your_api_key}" method="post">
<input type="hidden" name="api_key" value="{your_api_key}">
<input name="file" type="file">
<input type="submit">
</form>
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"download_url": "https://filehost.net/d/xxx",
"single_img": "../assets/img/examples/snaps/xxx.jpg",
"status": 200,
"filecode": "xxx",
"splash_img": "../assets/img/examples/splash/xxx.jpg",
"canplay": 1,
"size": "123456",
"length": "123456",
"uploaded": "2026-03-12 04:30:07",
"protected_embed": "https://filehost.net/e/yyy",
"protected_dl": "https://filehost.net/d/zzz",
"title": "test_file"
}
]
}
अपनी या दूसरों की फ़ाइल कॉपी / क्लोन करें
GET
https://filehost.net/api/file/clone?key={your_api_key}
key
file_code
fld_id
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": {
"embed_url": "https://filehost.net/e/xxx",
"download_url": "https://filehost.net/d/xxx",
"protected_download": "https://filehost.net/d/yyy",
"protected_embed": "https://filehost.net/e/zzz",
"filecode": "xxx"
}
}
डायरेक्ट लिंक से फ़ाइलें अपलोड करें
GET
https://filehost.net/api/upload/url?key={your_api_key}&url={upload_url}
key
url
fld_id
new_title
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"new_title": "",
"status": 200,
"total_slots": "100",
"result": {
"filecode": "98zukoh5jqiw"
},
"used_slots": "0"
}
रिमोट अपलोड सूची और स्थिति
GET
https://filehost.net/api/urlupload/list?key={your_api_key}
key
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"bytes_total": "0",
"created": "2026-03-12 04:30:07",
"remote_url": "https://dropbox.com/hukbasd7k3fd",
"status": "working",
"file_code": "98zukoh5jqiw",
"bytes_downloaded": "0",
"folder_id": "0"
}
]
}
रिमोट अपलोड स्थिति
GET
https://filehost.net/api/urlupload/status?key={your_api_key}
key
file_code
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"bytes_total": "0",
"created": "2026-03-12 04:30:07",
"remote_url": "https://dropbox.com/hukbasd7k3fd",
"status": "working",
"file_code": "hjsnr087johj",
"bytes_downloaded": "0",
"folder_id": "0"
}
]
}
कुल और उपयोग किए रिमोट अपलोड स्लॉट पाएं
GET
https://filehost.net/api/urlupload/slots?key={your_api_key}
key
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"total_slots": "100",
"used_slots": "10"
}
रिमोट अपलोड पर विभिन्न कार्रवाइयां करें
GET
https://filehost.net/api/urlupload/actions?key={your_api_key}
key
restart_errors
clear_errors
clear_all
delete_code
{
"msg": "Errors restarted",
"server_time": "2026-03-12 04:30:07",
"status": 200
}
फ़ोल्डर बनाएं
GET
https://filehost.net/api/folder/create?key={your_api_key}
key
name
parent_id
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": {
"fld_id": "1234567"
}
}
सभी फ़ोल्डर दिखाएं
GET
https://filehost.net/api/folder/rename?key={your_api_key}
key
fld_id
name
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": "true"
}
सभी फ़ोल्डर दिखाएं
GET
https://filehost.net/api/folder/list?key={your_api_key}
key
fld_id
only_folders
{
"msg":"OK",
"status":200,
"result":{
"folders":[
{
"name":"Folder name",
"code":"67299gduj3",
"fld_id":"123"
},
],
"files": [
{
"download_url": "https://filehost.net/d/xxx",
"single_img": "../assets/img/examples/snaps/xxx.jpg",
"file_code": "xxx",
"canplay": 1,
"length": "1234",
"views": "1",
"uploaded": "2026-03-12 04:30:07",
"public": "1",
"fld_id": "0",
"title": "test_file"
}
],
},
"server_time":"2026-03-12 07:31:01"
}
सभी फ़ाइलें दिखाएं
GET
https://filehost.net/api/file/list?key={your_api_key}
key
page
per_page
fld_id
created
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": {
"total_pages": 1,
"files": [
{
"download_url": "https://filehost.net/d/xxx",
"single_img": "../assets/img/examples/snaps/xxx.jpg",
"file_code": "xxx",
"canplay": 1,
"length": "1234",
"views": "1",
"uploaded": "2026-03-12 04:30:07",
"public": "1",
"fld_id": "0",
"title": "test_file"
}
],
"results_total": "1",
"results": 1
}
}
अपनी फ़ाइल की स्थिति जांचें
GET
https://filehost.net/api/file/check?key={your_api_key}
key
file_code
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"status": "Active",
"filecode": "xxx"
}
]
}
फ़ाइल जानकारी पाएं
GET
https://filehost.net/api/file/info?key={your_api_key}
key
file_code
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"single_img": "../assets/img/examples/snaps/xxx.jpg",
"status": 200,
"filecode": "xxx",
"splash_img": "../assets/img/examples/splash/xxx.jpg",
"canplay": 1,
"size": "123456",
"views": "0",
"length": "123456",
"uploaded": "2026-03-12 04:30:07",
"last_view": "",
"protected_embed": "/e/yyy",
"protected_dl": "/d/zzz",
"title": "test_file"
}
]
}
फ़ाइल स्प्लैश, सिंगल या थंबनेल इमेज पाएं
GET
https://filehost.net/api/file/image?key={your_api_key}
key
file_code
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": [
{
"status": 200,
"filecode": "xxx",
"title": "test_file",
"single_img": "../assets/img/examples/snaps/xxx.jpg",
"thumb_img": "../assets/img/examples/thumbnails/xxx.jpg",
"splash_img": "../assets/img/examples/splash/xxx.jpg"
}
]
}
फ़ाइल का नाम बदलें
GET
https://filehost.net/api/file/rename?key={your_api_key}
key
file_code
title
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": "true"
}
अपनी फ़ाइल एक फ़ोल्डर से दूसरे में ले जाएं
GET
https://filehost.net/api/file/move?key={your_api_key}
key
file_code
fld_id
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": "true"
}
अपनी फ़ाइलें खोजें
GET
https://filehost.net/api/search/videos?key={your_api_key}
key
search_term
{
"msg": "OK",
"server_time": "2026-03-12 04:30:07",
"status": 200,
"result": "true"
}
स्प्लैश इमेज सीधे URL से लोड करें
URL
https://filehost.net/e/xxx?c_poster=https://example.com/image.jpg
c_poster
कई सबटाइटल सीधे URL से लोड करें
URL
https://filehost.net/e/xxx?c1_file=https://example.com/sub.vtt&c1_label=English
c1_file
c1_label
JSON फ़ॉर्मैट में URL से कई सबटाइटल लोड करें
URL
https://filehost.net/e/xxx?subtitle_json=https://example.com/sub.json
subtitle_json
[
{"src":"https://example.com/name_en.vtt", "label":"English", default: true},
{"src":"https://example.com/name_fr.vtt", "label":"French"}
]
जल्द आ रहा है।
जल्द आ रहा है।
API एक्सेस और इंटीग्रेशन सहायता के लिए [email protected] से संपर्क करें।